Bug 1598980 - [abrt] ghostscript: arg_next(): gs killed by SIGSEGV [NEEDINFO]
Summary: [abrt] ghostscript: arg_next(): gs killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Kaspar // Dee'Kej
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:87bec6c2b224b020bb0677b3069...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-07 13:38 UTC by Alejandro
Modified: 2018-09-21 05:34 UTC (History)
4 users (show)

Fixed In Version: ghostscript-9.24-1.fc28 ghostscript-9.24-3.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-11 16:54:14 UTC
Type: ---
deekej: needinfo? (jalemolina)


Attachments (Terms of Use)
File: backtrace (41.71 KB, text/plain)
2018-07-07 13:38 UTC, Alejandro
no flags Details
File: cgroup (365 bytes, text/plain)
2018-07-07 13:38 UTC, Alejandro
no flags Details
File: core_backtrace (1.17 KB, text/plain)
2018-07-07 13:38 UTC, Alejandro
no flags Details
File: cpuinfo (1.80 KB, text/plain)
2018-07-07 13:38 UTC, Alejandro
no flags Details
File: dso_list (5.55 KB, text/plain)
2018-07-07 13:38 UTC, Alejandro
no flags Details
File: environ (3.00 KB, text/plain)
2018-07-07 13:38 UTC, Alejandro
no flags Details
File: exploitable (110 bytes, text/plain)
2018-07-07 13:38 UTC, Alejandro
no flags Details
File: limits (1.29 KB, text/plain)
2018-07-07 13:38 UTC, Alejandro
no flags Details
File: maps (26.54 KB, text/plain)
2018-07-07 13:38 UTC, Alejandro
no flags Details
File: mountinfo (4.01 KB, text/plain)
2018-07-07 13:38 UTC, Alejandro
no flags Details
File: open_fds (514 bytes, text/plain)
2018-07-07 13:38 UTC, Alejandro
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2018-07-07 13:38 UTC, Alejandro
no flags Details

Description Alejandro 2018-07-07 13:38:10 UTC
Version-Release number of selected component:
ghostscript-9.23-4.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        gs -dNODISPLAY -dNOGC -sSUBSTFONT=Fourier-Alternate-Italic -q -- /usr/share/texlive/texmf-dist/dvips/gsftopk/render.ps Fourier-Alternate-Italic  (/usr/share/texlive/texmf-dist/fonts/type1/public/fourier/fourier-alt-ita.pfb) brun 795.000000
crash_function: arg_next
executable:     /usr/bin/gs
journald_cursor: s=82b8086e05db42b8b880b922d62c8e97;i=be95c1;b=ec3e59b061044b97a238b4bee808eef4;m=72165790;t=5706855818d5c;x=760827b5a36f4302
kernel:         4.17.3-200.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 arg_next at ./base/gsargs.c:255
 #1 swproc at ./psi/imainarg.c:447
 #2 gs_main_init_with_args at ./psi/imainarg.c:222

Comment 1 Alejandro 2018-07-07 13:38:19 UTC
Created attachment 1457162 [details]
File: backtrace

Comment 2 Alejandro 2018-07-07 13:38:21 UTC
Created attachment 1457163 [details]
File: cgroup

Comment 3 Alejandro 2018-07-07 13:38:22 UTC
Created attachment 1457164 [details]
File: core_backtrace

Comment 4 Alejandro 2018-07-07 13:38:24 UTC
Created attachment 1457165 [details]
File: cpuinfo

Comment 5 Alejandro 2018-07-07 13:38:26 UTC
Created attachment 1457166 [details]
File: dso_list

Comment 6 Alejandro 2018-07-07 13:38:27 UTC
Created attachment 1457167 [details]
File: environ

Comment 7 Alejandro 2018-07-07 13:38:29 UTC
Created attachment 1457168 [details]
File: exploitable

Comment 8 Alejandro 2018-07-07 13:38:31 UTC
Created attachment 1457169 [details]
File: limits

Comment 9 Alejandro 2018-07-07 13:38:33 UTC
Created attachment 1457170 [details]
File: maps

Comment 10 Alejandro 2018-07-07 13:38:35 UTC
Created attachment 1457171 [details]
File: mountinfo

Comment 11 Alejandro 2018-07-07 13:38:37 UTC
Created attachment 1457172 [details]
File: open_fds

Comment 12 Alejandro 2018-07-07 13:38:38 UTC
Created attachment 1457173 [details]
File: proc_pid_status

Comment 13 David Kaspar // Dee'Kej 2018-07-23 12:37:50 UTC
Hello Alejandro,

can I kindly ask for the input file causing the segmentation fault for this report? Without it the upstream won't have much to pursue for the fix.

Thanks in advance! :)

 -- Dee'Kej --

Comment 14 Fedora Update System 2018-09-06 15:01:32 UTC
ghostscript-9.24-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ce5fba9e1a

Comment 15 Fedora Update System 2018-09-07 09:40:22 UTC
ghostscript-9.24-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-56221eb24b

Comment 16 Fedora Update System 2018-09-11 16:54:14 UTC
ghostscript-9.24-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-09-14 13:44:59 UTC
ghostscript-9.24-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-81ee973d7c

Comment 18 Fedora Update System 2018-09-14 20:02:16 UTC
ghostscript-9.24-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-81ee973d7c

Comment 19 Fedora Update System 2018-09-21 05:34:45 UTC
ghostscript-9.24-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.